@import url("https://fonts.googleapis.com/css2?family=IBM+Plex+Sans:ital,wght@0,100..700;1,100..700&display=swap");
@import "https://www.nerdfonts.com/assets/css/webfont.css";

body {
  margin: 0;
  background-color: #171717;
}

.navbar {
  background-color: #1a1a1a;
  box-shadow:
    0 4px 6px -1px rgb(0 0 0 / 0.1),
    0 2px 4px -2px rgb(0 0 0 / 0.1);
  width: 100%;
  z-index: 2;
}

.nav-container {
  margin-left: auto;
  margin-right: auto;
  width: 100%;
  display: flex;
  align-items: center;
  height: 3.5rem;
  max-width: 1200px;
}

.left {
  flex: 1;
  display: flex;
  align-items: center;
}

.nav-title {
  font-family: "IBM Plex Sans", sans-serif;
  color: #cad1d8;
  font-weight: 500;
  font-size: 1.5rem;
  letter-spacing: 0.015em;
  padding-left: 1rem;
  line-height: 2rem;
}
.right {
  display: flex;
  align-self: stretch;
}

.nav-link-wrapper {
  text-decoration: none;
  color: inherit;
  display: flex;
  align-items: center;
  align-self: stretch;
}

.nav-item {
  display: flex;
  align-items: center;
  justify-content: center;
}

.nav-item {
  position: relative;
  display: flex;
  align-items: center;
  height: 100%;
  color: #9aa5b1;
  padding-left: 1.5rem;
  padding-right: 1.5rem;
  cursor: pointer;
  transition: all 150ms ease;
  border-bottom: 2px solid transparent;
}

.nav-item:hover {
  border-bottom: 2px solid #0891b2;
  background-color: #131a1f;
}

.nav-item i {
  display: inline-block;
  font-style: normal;
}

.tooltiptext {
  font-family: "IBM Plex Sans", sans-serif;

  width: 100px;
  background-color: #1f2933;
  color: #ffffff;
  text-align: center;
  border-radius: 4px;
  padding: 6px 5px;

  position: absolute;
  z-index: 50;
  top: 110%;
  left: 50%;
  transform: translateX(-50%);

  visibility: hidden;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.2s cubic-bezier(0.4, 0, 0.2, 1);
}

.tooltip:hover .tooltiptext {
  visibility: visible;
  opacity: 1;
}

.body {
  margin-left: 20vw;
  margin-right: 20vw;
  font-family: "IBM Plex Sans", sans-serif;
}

.body h2,
.body p {
  color: #cad1d8;
  font-family: "IBM Plex Sans", sans-serif;
}

.nav-link-wrapper {
  text-decoration: none;
  color: inherit;
  display: inline-block;
}

.sitemap-container {
  display: flex;
  gap: 3rem;
  flex-wrap: wrap;
  margin-top: 1rem;
}

.sitemap-section {
  flex: 1;
  min-width: 250px;
}

.img-wrapper {
  display: inline-block;
  cursor: pointer;
  outline: none;
  background-color: rgba(0, 0, 0, 0.85);
}

.guide-img {
  max-width: 50vw;
  border: 2px solid gray;
  border-radius: 5px;
  height: auto;
  display: block;
}

.img-wrapper:focus::before {
  content: "";
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.85);
  z-index: 6;
  pointer-events: none;
}
.img-wrapper:focus .guide-img {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  width: auto;
  height: auto;
  max-width: 90vw;
  max-height: 90vh;
  object-fit: contain;
  z-index: 7;
}
code {
  background-color: black;
  padding: 3px;
}
